# org.pdfclown.documents.interaction.forms.ListBox Class Reference

List box [PDF:1.6:8.6.3]. More...

Inheritance diagram for org.pdfclown.documents.interaction.forms.ListBox:

List of all members.

## Public Types
enum | FlagsEnum { ReadOnly = 0x1, Required = 0x2, NoExport = 0x4, Multiline = 0x1000, Password = 0x2000, NoToggleToOff = 0x4000, Radio = 0x8000, Pushbutton = 0x10000, Combo = 0x20000, Edit = 0x40000, Sort = 0x80000, FileSelect = 0x100000, MultiSelect = 0x200000, DoNotSpellCheck = 0x400000, DoNotScroll = 0x800000, Comb = 0x1000000, RichText = 0x2000000, RadiosInUnison = 0x2000000, CommitOnSelChange = 0x4000000 }
| Field flags [PDF:1.6:8.6.2]. More...
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| ListBox (string name, Widget widget)
| Creates a new listbox within the given document context.
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Field | Wrap (PdfReference reference)
| Wraps a field reference into a field object.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
PdfDirectObject | GetInheritableAttribute (PdfName key)
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
FieldActions | Actions`[get, set]`
| Gets/Sets the field's behavior in response to trigger events.
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
PdfString | DefaultAppearanceState`[get]`
object | DefaultValue`[get]`
| Gets the default value to which this field reverts when a reset -form action} is executed.
Document | Document`[get]`
| Gets the document context.
bool | Exportable`[get, set]`
| Gets/Sets whether the field is exported by a submit-form action.
File | File`[get]`
| Gets the file context.
FlagsEnum | Flags`[get, set]`
| Gets/Sets the field flags.
string | FullName`[get]`
| Gets the fully-qualified field name.
ChoiceItems | Items`[get, set]`
bool | MultiSelect`[get, set]`
| Gets/Sets whether more than one of the field's items may be selected simultaneously.
string | Name`[get, set]`
| Gets/Sets the partial field name.
bool | ReadOnly`[get, set]`
| Gets/Sets whether the user may not change the value of the field.
bool | Required`[get, set]`
| Gets/Sets whether the field must have a value at the time it is exported by a submit-form action.
bool | ValidatedOnChange`[get, set]`
| Gets/Sets whether validation action is triggered as soon as a selection is made, without requiring the user to exit the field.
virtual object | Value`[get, set]`
| Gets/Sets the field value.
FieldWidgets | Widgets`[get]`
| Gets the widget annotations that are associated with this field.

##

List box [PDF:1.6:8.6.3].

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::forms::Field::FlagsEnum`[inherited]`

Field flags [PDF:1.6:8.6.2].

Enumerator:

  ReadOnly | The user may not change the value of the field.
  Required | The field must have a value at the time it is exported by a submit-form action.
  NoExport | The field must not be exported by a submit-form action.
  Multiline | (Text fields only) The field can contain multiple lines of text.
  Password | (Text fields only) The field is intended for entering a secure password that should not be echoed visibly to the screen.
  NoToggleToOff | (Radio buttons only) Exactly one radio button must be selected at all times.
  Radio | (Button fields only) The field is a set of radio buttons (otherwise, a check box). This flag is meaningful only if the Pushbutton flag isn't selected.
  Pushbutton | (Button fields only) The field is a pushbutton that does not retain a permanent value.
  Combo | (Choice fields only) The field is a combo box (otherwise, a list box).
  Edit | (Choice fields only) The combo box includes an editable text box as well as a dropdown list (otherwise, it includes only a drop-down list).
  Sort | (Choice fields only) The field's option items should be sorted alphabetically.
  FileSelect | (Text fields only) Text entered in the field represents the pathname of a file whose contents are to be submitted as the value of the field.
  MultiSelect | (Choice fields only) More than one of the field's option items may be selected simultaneously.
  DoNotSpellCheck | (Choice and text fields only) Text entered in the field is not spell-checked.
  DoNotScroll | (Text fields only) The field does not scroll to accommodate more text than fits within its annotation rectangle. Once the field is full, no further text is accepted.
  Comb | (Text fields only) The field is automatically divided into as many equally spaced positions, or combs, as the value of MaxLen, and the text is laid out into those combs.
  RichText | (Text fields only) The value of the field should be represented as a rich text string.
  RadiosInUnison | (Button fields only) A group of radio buttons within a radio button field that use the same value for the on state will turn on and off in unison (otherwise, the buttons are mutually exclusive).
  CommitOnSelChange | (Choice fields only) The new value is committed as soon as a selection is made with the pointing device.

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.forms.ListBox.ListBox | ( | string | name,
|  | Widget | widget |
| ) |  |  |

Creates a new listbox within the given document context.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

PdfDirectObject org.pdfclown.documents.interaction.forms.Field.GetInheritableAttribute | ( | PdfName | key | ) | `[protected, inherited]`

References org.pdfclown.documents.interaction.forms.Field.GetInheritableAttribute().

Referenced by org.pdfclown.documents.interaction.forms.Field.GetInheritableAttribute().

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Field org.pdfclown.documents.interaction.forms.Field.Wrap | ( | PdfReference | reference | ) | `[static, inherited]`

Wraps a field reference into a field object.

Parameters:

  | reference | Reference to a field object.

Returns:
  Field object associated to the reference.

References org.pdfclown.objects.PdfReference.DataObject, and org.pdfclown.objects.PdfInteger.IntValue.

## Property Documentation

FieldActions org.pdfclown.documents.interaction.forms.Field.Actions`[get, set, inherited]`

Gets/Sets the field's behavior in response to trigger events.

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

PdfString org.pdfclown.documents.interaction.forms.Field.DefaultAppearanceState`[get, protected, inherited]`

object org.pdfclown.documents.interaction.forms.Field.DefaultValue`[get, inherited]`

Gets the default value to which this field reverts when a reset -form action} is executed.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

bool org.pdfclown.documents.interaction.forms.Field.Exportable`[get, set, inherited]`

Gets/Sets whether the field is exported by a submit-form action.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

FlagsEnum org.pdfclown.documents.interaction.forms.Field.Flags`[get, set, inherited]`

Gets/Sets the field flags.

string org.pdfclown.documents.interaction.forms.Field.FullName`[get, inherited]`

Gets the fully-qualified field name.

ChoiceItems org.pdfclown.documents.interaction.forms.ChoiceField.Items`[get, set, inherited]`

bool org.pdfclown.documents.interaction.forms.ChoiceField.MultiSelect`[get, set, inherited]`

Gets/Sets whether more than one of the field's items may be selected simultaneously.

string org.pdfclown.documents.interaction.forms.Field.Name`[get, set, inherited]`

Gets/Sets the partial field name.

bool org.pdfclown.documents.interaction.forms.Field.ReadOnly`[get, set, inherited]`

Gets/Sets whether the user may not change the value of the field.

bool org.pdfclown.documents.interaction.forms.Field.Required`[get, set, inherited]`

Gets/Sets whether the field must have a value at the time it is exported by a submit-form action.

bool org.pdfclown.documents.interaction.forms.ChoiceField.ValidatedOnChange`[get, set, inherited]`

Gets/Sets whether validation action is triggered as soon as a selection is made, without requiring the user to exit the field.

virtual object org.pdfclown.documents.interaction.forms.Field.Value`[get, set, inherited]`

Gets/Sets the field value.

Reimplemented in org.pdfclown.documents.interaction.forms.CheckBox, org.pdfclown.documents.interaction.forms.RadioButton, and org.pdfclown.documents.interaction.forms.TextField.

FieldWidgets org.pdfclown.documents.interaction.forms.Field.Widgets`[get, inherited]`

Gets the widget annotations that are associated with this field.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.